Subject: ISDA or contract to trade financially with Tucson Electric
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 12 Dec 2000 01:31:00 -0800 (PST)

Sara,

We are in the process of trying to lock in a fixed price for gas for Tucson 
Electric for the summer.  We need to get a contract in place ASAP that allows 
a financial transaction with these guys.  Have you guys ever looked into 
financial contracts with them?  Let me know what information you need or if 
you have any questions.  They are ready to do something today.  

Thanks,

Kim Ward
503-464-3826